Bug 1013375 - Review Request: mysql-mroonga - A fast fulltext searchable storage engine for MySQL
Review Request: mysql-mroonga - A fast fulltext searchable storage engine fo...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-29 13:02 EDT by Kentaro Hayashi
Modified: 2015-08-21 05:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-21 05:25:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kentaro Hayashi 2013-09-29 13:02:44 EDT
Spec URL: http://kenhys.fedorapeople.org/mroonga/mysql-mroonga.spec
SRPM URL: http://kenhys.fedorapeople.org/mroonga/mysql-mroonga-3.08-1.fc19.src.rpm
Description: Mroonga is a fast fulltext searchable storage plugin for MySQL.
It is based on groonga that is a fast fulltext search engine and
column store. Groonga is good at real-time update.

Fedora Account System Username: kenhys
Comment 1 Kentaro Hayashi 2013-09-29 13:07:32 EDT
There is no error.

$ rpmlint -i RPMS/x86_64/mysql-mroonga-* | grep E:
$ 

There are some warnings, but they are derived from sphinx bundled javascript.

rpmlint -i RPMS/x86_64/mysql-mroonga-* | grep W:
mysql-mroonga.x86_64: W: spelling-error Summary(en_US) fulltext -> full text, full-text, teletext
mysql-mroonga.x86_64: W: spelling-error Summary(en_US) searchable -> search able, search-able, unsearchable
mysql-mroonga.x86_64: W: spelling-error %description -l en_US fulltext -> full text, full-text, teletext
mysql-mroonga.x86_64: W: spelling-error %description -l en_US searchable -> search able, search-able, unsearchable
mysql-mroonga.x86_64: W: spelling-error %description -l en_US groonga -> grooming
mysql-mroonga.x86_64: W: spelling-error %description -l en_US Groonga -> Grooming
mysql-mroonga.x86_64: W: obsolete-not-provided mysql-groonga
mysql-mroonga-doc.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mysql-mroonga-doc-3.08/en/html/_static/jquery.js
mysql-mroonga-doc.x86_64: W: wrong-file-end-of-line-encoding /usr/share/doc/mysql-mroonga-doc-3.08/ja/html/_static/jquery.js
Comment 2 Kentaro Hayashi 2013-10-10 09:52:59 EDT
Here is the updated spec and SRPM.

Spec URL: http://kenhys.fedorapeople.org/mroonga/mysql-mroonga.spec
SRPM URL: http://kenhys.fedorapeople.org/mroonga/mysql-mroonga-3.08-2.fc19.src.rpm

* mark doc packages as noarch.
* remove redundant clean section.
Comment 3 Ralf Corsepius 2013-10-10 11:18:00 EDT
Would you mind to explain what you are trying to achieve by this:
--- snip ---
%prep
%setup -q -n mroonga-%{version}
srpm=community-mysql-%{mysql_version}-%{mysql_release}.src.rpm
if [ ! -f ../../SRPMS/$srpm ]; then
    curl --output ../../SRPMS/$srpm %{mysql_download_base_url}/$srpm
    rpm -Uvh ../../SRPMS/$srpm
fi

%build
if [ ! -d ../mysql-%{mysql_version} ]; then
    rpmbuild -bp --define 'runselftest 0' --define 'optflags -O0' \
        ../../SPECS/community-mysql.spec
fi
--- snip ---
This all is not allowed in Fedora rpm.specs.
Comment 4 Kentaro Hayashi 2013-10-29 04:54:13 EDT
(In reply to Ralf Corsepius from comment #3)
> Would you mind to explain what you are trying to achieve by this:
> --- snip ---
> %prep
> %setup -q -n mroonga-%{version}
> srpm=community-mysql-%{mysql_version}-%{mysql_release}.src.rpm
> if [ ! -f ../../SRPMS/$srpm ]; then
>     curl --output ../../SRPMS/$srpm %{mysql_download_base_url}/$srpm
>     rpm -Uvh ../../SRPMS/$srpm
> fi
> 
> %build
> if [ ! -d ../mysql-%{mysql_version} ]; then
>     rpmbuild -bp --define 'runselftest 0' --define 'optflags -O0' \
>         ../../SPECS/community-mysql.spec
> fi
> --- snip ---
> This all is not allowed in Fedora rpm.specs.

Mroonga massively depends on specific version of MySQL.
Usually only -devel package is enough for header files, but it doen't match to Mroonga.
Mroonga requires MySQL source code(header files which doesn't distributed in devel package) to build.
Comment 5 Kentaro Hayashi 2013-10-29 05:30:55 EDT
Here is the list of required files which are not contained in devel package. (It depends on MySQL version because Mroonga supports MySQL 5.1/5.5/5.6 and so on)

* ft_global.h
* key.h
* spatial.h
* sql_base.h
* sql_optimizer.h
* sql_plugin.h
* sql_select.h
* sql_show.h
* sql_table.h

(In reply to HAYASHI Kentaro from comment #4)
> 
> Mroonga massively depends on specific version of MySQL.
> Usually only -devel package is enough for header files, but it doen't match
> to Mroonga.
> Mroonga requires MySQL source code(header files which doesn't distributed in
> devel package) to build.
Comment 6 Michael Schwendt 2013-10-29 05:43:36 EDT
Inside the build system, accessing the network for downloading software would not work anyway, so the whole attempt is not only forbidden, it is futile.

A strict dependency on a non-public MySQL interface asks for trouble, and you cannot avoid bundling the needed source files with Mroonga, *if* you manage to get a bundling exception from the FPC:
https://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries
Comment 7 Miroslav Suchý 2015-08-21 05:25:38 EDT
No response for years. Closing. Feel free to reopen if you want to continue.

Note You need to log in before you can comment on or make changes to this bug.